Support » Plugin: Cloudflare » PHP 7.0 compatibility

  • Resolved RafaelDeJongh

    (@rafaeldejongh)


    With trying to make the jump to PHP7 I noticed that the Cloudflare Plugin has 9 errors when running it through the WP-Engine PHP7 Compatibility Checker, which are the following:

    FILE: wp-content/plugins/cloudflare/vendor/guzzle/guzzle/src/Guzzle/Service/Resource/ResourceIterator.php
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
     3 | ERROR | 'resource' is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE:wp-content/plugins/cloudflare/vendor/guzzle/guzzle/src/Guzzle/Service/Resource/MapResourceIteratorFactory.php
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
     3 | ERROR | 'resource' is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/cloudflare/vendor/guzzle/guzzle/src/Guzzle/Service/Resource/ResourceIteratorInterface.php
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
     3 | ERROR | 'resource' is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/cloudflare/vendor/guzzle/guzzle/src/Guzzle/Service/Resource/ResourceIteratorFactoryInterface.php
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------
     3 | ERROR | 'resource' is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/cloudflare/vendor/guzzle/guzzle/src/Guzzle/Service/Resource/AbstractResourceIteratorFactory.php
    ---------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    ---------------------------------------------------------------------------------------------------------------------------------------------------------------------
     3 | ERROR | 'resource' is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    ---------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/cloudflare/vendor/guzzle/guzzle/src/Guzzle/Service/Resource/ResourceIteratorApplyBatched.php
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
     3 | ERROR | 'resource' is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/cloudflare/vendor/guzzle/guzzle/src/Guzzle/Service/Resource/Model.php
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
     3 | ERROR | 'resource' is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/cloudflare/vendor/guzzle/guzzle/src/Guzzle/Service/Resource/ResourceIteratorClassFactory.php
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
     3 | ERROR | 'resource' is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/cloudflare/vendor/guzzle/guzzle/src/Guzzle/Service/Resource/CompositeResourceIteratorFactory.php
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------
     3 | ERROR | 'resource' is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------

    All of the errors do refer to the same error being ‘resource’ is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE).

    So should I be concerned about these when I switch over to PHP7 in terms of the actual plugin still functioning properly?

    Thanks for further information in advance!

Viewing 5 replies - 1 through 5 (of 5 total)
Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘PHP 7.0 compatibility’ is closed to new replies.